-- #120
CREATE TABLE patchstoretypecartridgeversion (
    patchstoretypeid  integer      NOT NULL
,   patchcartridgeid  integer      NOT NULL
,   patchversionid    integer      NOT NULL
,   position          integer      NOT NULL
,   constraint pk_patchstoretypecartridgeversion                primary key (patchstoretypeid, patchcartridgeid,patchversionid)
,   constraint fk_patchstoretypecartridgeversion_patchstoretype foreign key (patchstoretypeid)
        references patchstoretype                                    (patchstoretypeid)
,   constraint fk_patchstoretypecartridgeversion_patchcartridge foreign key (patchcartridgeid)
        references patchcartridge                                    (patchcartridgeid)
,   constraint fk_patchstoretypecartridgeversion_patchversion foreign key   (patchversionid)
        references patchversion                                    (patchversionid)
)
GO