-- #180
CREATE TABLE startedpatchstorecartridgeinstallerfunction (
    patchstoreid         integer      NOT NULL
,   patchcartridgeid     integer      NOT NULL
,   patchversionid       integer      NOT NULL
,   installerfunctionid  integer      NOT NULL
,   time                 datetime     NOT NULL
,   constraint pk_startedpatchstorecartridgeinstallerfunction             primary key (patchstoreid, patchcartridgeid, patchversionid, installerfunctionid)
,   constraint fk_startedpatchstorecartridgeinstallerfunction_patchstore  foreign key (patchstoreid)
        references patchstore                                 (patchstoreid)
,   constraint fk_startedpatchstorecartridgeinstallerfunction_patchcartridge  foreign key (patchcartridgeid)
        references patchcartridge                             (patchcartridgeid)
,   constraint fk_startedpatchstorecartridgeinstallerfunction_patchversion  foreign key (patchversionid)
        references patchversion                               (patchversionid)
,   constraint fk_startedpatchstorecartridgeinstallerfunc_installerfunc  foreign key (installerfunctionid)
        references installerfunction                           (installerfunctionid)
)
GO