use strict;
use Test::More tests => 2;

use API::Patch::PatchInstallHandlerFlexShopTypes;
use Data::Dumper;


## no critic qw(Subroutines::ProtectPrivateSubs)

my @RetrievedProviders = API::Patch::PatchInstallHandlerFlexShopTypes::_GetProviderObjectPathList('Site', '');
ok($RetrievedProviders[0] eq '/Providers/Distributor', 'Can retrieve default provider');
print Dumper(@RetrievedProviders);

my $HasShopTypes = API::Patch::PatchInstallHandlerFlexShopTypes::_HasShopTypes('Site', '', '/Providers/Distributor');
ok($HasShopTypes, 'Default provider has preconfigured shop types');

