-- #70
CREATE TABLE completedpatchfunction (
    patchhandlerid           integer      NOT NULL
,   patchgroundfunctionid    integer      NOT NULL
,   patchversionid           integer      NOT NULL
,   patchhostid              integer      NOT NULL
,   time                     datetime     NOT NULL
,   duration                 integer      NOT NULL
,   constraint pk_completedpatchfunction               primary key (patchhandlerid, patchgroundfunctionid, patchversionid, patchhostid)
,   constraint fk_completedpatchfunction_patchhandler  foreign key (patchhandlerid)
        references patchhandler  (patchhandlerid)
,   constraint fk_completedpatchfunction_patchgroundfunction  foreign key (patchgroundfunctionid)
        references patchgroundfunction  (patchgroundfunctionid)
,   constraint fk_completedpatchfunction_patchversion  foreign key (patchversionid)
        references patchversion  (patchversionid)
,   constraint fk_completedpatchfunction_patchhost  foreign key (patchhostid)
        references patchhost  (patchhostid)
)
GO