-- #150
CREATE TABLE completedpatchstore (
    patchstoreid         integer      NOT NULL
,   patchversionid       integer      NOT NULL
,   time                 datetime     NOT NULL
,   duration             integer      NOT NULL
,   constraint pk_completedpatchstore             primary key (patchstoreid, patchversionid)
,   constraint fk_completedpatchstore_patchstore  foreign key (patchstoreid)
        references patchstore                                 (patchstoreid)
,   constraint fk_completedpatchstore_patchversion  foreign key (patchversionid)
        references patchversion                                 (patchversionid)
)
GO