-- #180
CREATE TABLE completedpatchstorecartridgeinstallerfunction (
    patchstoreid         integer      NOT NULL
,   patchcartridgeid     integer      NOT NULL
,   patchversionid       integer      NOT NULL
,   installerfunctionid  integer      NOT NULL
,   time                 datetime     NOT NULL
,   duration             integer      NOT NULL
,   constraint pk_completedpatchstorecartridgeinstallerfunction             primary key (patchstoreid, patchcartridgeid, patchversionid, installerfunctionid)
,   constraint fk_completedpatchstorecartridgeinstallerfunction_patchstore  foreign key (patchstoreid)
        references patchstore                                 (patchstoreid)
,   constraint fk_completedpatchstorecartridgeinstallerfunction_patchcartridge  foreign key (patchcartridgeid)
        references patchcartridge                             (patchcartridgeid)
,   constraint fk_completedpatchstorecartridgeinstallerfunction_patchversion  foreign key (patchversionid)
        references patchversion                               (patchversionid)
,   constraint fk_completedpatchstorecartridgeinstallerfunc_installerfunc foreign key (installerfunctionid)
        references installerfunction                           (installerfunctionid)
)
GO